#!/bin/bash

pkgname="sabotage-kernel-headers"
pkgver="3.12.6-6"

src="https://github.com/sabotage-linux/kernel-headers/archive/v${pkgver}.tar.gz"

prepare () {
    [ -f "${pkgname}-src.tar.gz" ] || curl -L -o "${pkgname}-src.tar.gz" "${src}"
    tar -C "${srcdir}" -xvf "${pkgname}-src.tar.gz"
}

build () {
    cd "${srcdir}/kernel-headers-${pkgver}"
}

package () {
    cd "${srcdir}/kernel-headers-${pkgver}"

    make ARCH=x86_64 prefix=/usr DESTDIR="${pkgdir}" install
}

. ../common.sh
