#!/bin/bash

pkgname="libexecinfo"
pkgver="1.1-2"

src="https://github.com/mikroskeem/${pkgname}/archive/1.1-2.tar.gz"

prepare () {
    [ -f "${pkgname}-src.tar.gz" ] || curl -L -o "${pkgname}-src.tar.gz" "${src}"
    tar -C "${srcdir}" -xvf "${pkgname}-src.tar.gz"
}

build () {
    cd "${srcdir}/${pkgname}-${pkgver}"

    make \
        CC="${CC:-cc}" \
        CFLAGS="${CFLAGS} -fno-omit-frame-pointer" \
        all
}

package () {
    cd "${srcdir}/${pkgname}-${pkgver}"

    make DESTDIR="${pkgdir}/usr" install
}

. ../common.sh
